Bug 1449467 (lame) - Review Request: lame - MP3 encoder
Summary: Review Request: lame - MP3 encoder
Keywords:
Status: CLOSED ERRATA
Alias: lame
Product: Fedora
Classification: Fedora
Component: Package Review
Version: 26
Hardware: All
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Neal Gompa
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1450108 1450225 1450226 1450227 1450230 1450271 1534370
TreeView+ depends on / blocked
 
Reported: 2017-05-10 04:53 UTC by Yaakov Selkowitz
Modified: 2018-01-15 06:07 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-05-14 20:21:28 UTC
ngompa13: fedora-review+


Attachments (Terms of Use)

Description Yaakov Selkowitz 2017-05-10 04:53:06 UTC
Spec URL: https://yselkowitz.fedorapeople.org/lame.spec
SRPM URL: https://yselkowitz.fedorapeople.org/lame-3.99.5-8.fc27.src.rpm
Description: Free MP3 audio compressor
Fedora Account System Username: yselkowitz

Scratch build: https://koji.fedoraproject.org/koji/taskinfo?taskID=19482291

Blocking FE-Legal for formal confirmation of the permissibility of MP3 encoding announced here:

https://lists.fedoraproject.org/archives/list/devel@lists.fedoraproject.org/thread/KM557DP7OR2UEEPYQRNHJU7T45XDSXYJ/

Comment 1 Neal Gompa 2017-05-11 02:41:32 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated


===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Header files in -devel subpackage, if present.
[x]: ldconfig called in %post and %postun if required.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.
[x]: Development (unversioned) .so files in -devel subpackage, if present.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "GPL", "*No copyright* LGPL (v2 or later)", "LGPL (v2 or
     later)", "GPL (v2 or later) LGPL (v2 or later)", "Unknown or
     generated", "MIT/X11 (BSD like)", "*No copyright* LGPL",
     "zlib/libpng", "LGPL", "BSD (3 clause)", "LGPL (v2.1 or later)". 195
     files have unknown license. Detailed output of licensecheck in
     /home/makerpm/1449467-lame/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[!]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in lame-
     libs , lame-devel , lame-mp3x , lame-debuginfo
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[x]: Scriptlets must be sane, if used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
     Note: Arch-ed rpms have a total of 1249280 bytes in /usr/share
[x]: Rpmlint is run on debuginfo package(s).
     Note: No rpmlint messages.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: lame-3.99.5-8.fc27.x86_64.rpm
          lame-libs-3.99.5-8.fc27.x86_64.rpm
          lame-devel-3.99.5-8.fc27.x86_64.rpm
          lame-mp3x-3.99.5-8.fc27.x86_64.rpm
          lame-debuginfo-3.99.5-8.fc27.x86_64.rpm
          lame-3.99.5-8.fc27.src.rpm
lame.x86_64: W: spelling-error %description -l en_US bitrates -> nitrates, bit rates, bit-rates
lame.x86_64: W: only-non-binary-in-usr-lib
lame.x86_64: W: hidden-file-or-dir /usr/lib/.build-id
lame.x86_64: W: hidden-file-or-dir /usr/lib/.build-id
lame.x86_64: W: no-manual-page-for-binary mp3rtp
lame-libs.x86_64: W: shared-lib-calls-exit /usr/lib64/libmp3lame.so.0.0.0 exit@GLIBC_2.2.5
lame-libs.x86_64: W: hidden-file-or-dir /usr/lib/.build-id
lame-libs.x86_64: W: hidden-file-or-dir /usr/lib/.build-id
lame-libs.x86_64: E: incorrect-fsf-address /usr/share/licenses/lame-libs/COPYING
lame-libs.x86_64: W: file-not-utf8 /usr/share/doc/lame-libs/ChangeLog
lame-devel.x86_64: W: only-non-binary-in-usr-lib
lame-mp3x.x86_64: W: only-non-binary-in-usr-lib
lame-mp3x.x86_64: W: no-documentation
lame-mp3x.x86_64: W: hidden-file-or-dir /usr/lib/.build-id
lame-mp3x.x86_64: W: hidden-file-or-dir /usr/lib/.build-id
lame-mp3x.x86_64: W: no-manual-page-for-binary mp3x
lame.src: W: spelling-error %description -l en_US bitrates -> nitrates, bit rates, bit-rates
6 packages and 0 specfiles checked; 1 errors, 16 warnings.




Rpmlint (debuginfo)
-------------------
Checking: lame-debuginfo-3.99.5-8.fc27.x86_64.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.





Rpmlint (installed packages)
----------------------------
sh: /usr/bin/python: No such file or directory
lame-libs.x86_64: W: shared-lib-calls-exit /usr/lib64/libmp3lame.so.0.0.0 exit@GLIBC_2.2.5
lame-libs.x86_64: W: hidden-file-or-dir /usr/lib/.build-id
lame-libs.x86_64: W: hidden-file-or-dir /usr/lib/.build-id
lame-libs.x86_64: W: file-not-utf8 /usr/share/doc/lame-libs/ChangeLog
lame-libs.x86_64: E: incorrect-fsf-address /usr/share/licenses/lame-libs/COPYING
lame-mp3x.x86_64: W: only-non-binary-in-usr-lib
lame-mp3x.x86_64: W: no-documentation
lame-mp3x.x86_64: W: hidden-file-or-dir /usr/lib/.build-id
lame-mp3x.x86_64: W: hidden-file-or-dir /usr/lib/.build-id
lame-mp3x.x86_64: W: no-manual-page-for-binary mp3x
lame-devel.x86_64: W: only-non-binary-in-usr-lib
lame.x86_64: W: spelling-error %description -l en_US bitrates -> nitrates, bit rates, bit-rates
lame.x86_64: W: only-non-binary-in-usr-lib
lame.x86_64: W: hidden-file-or-dir /usr/lib/.build-id
lame.x86_64: W: hidden-file-or-dir /usr/lib/.build-id
lame.x86_64: W: no-manual-page-for-binary mp3rtp
5 packages and 0 specfiles checked; 1 errors, 15 warnings.



Requires
--------
lame-libs (rpmlib, GLIBC filtered):
    /sbin/ldconfig
    libc.so.6()(64bit)
    libm.so.6()(64bit)
    rtld(GNU_HASH)

lame-debuginfo (rpmlib, GLIBC filtered):

lame-mp3x (rpmlib, GLIBC filtered):
    lame
    libX11.so.6()(64bit)
    libXext.so.6()(64bit)
    libXi.so.6()(64bit)
    libc.so.6()(64bit)
    libdl.so.2()(64bit)
    libgdk-1.2.so.0()(64bit)
    libglib-1.2.so.0()(64bit)
    libgmodule-1.2.so.0()(64bit)
    libgtk-1.2.so.0()(64bit)
    libm.so.6()(64bit)
    libmp3lame.so.0()(64bit)
    libncurses.so.6()(64bit)
    libtinfo.so.6()(64bit)
    rtld(GNU_HASH)

lame-devel (rpmlib, GLIBC filtered):
    lame-libs
    libmp3lame.so.0()(64bit)

lame (rpmlib, GLIBC filtered):
    lame-libs
    libc.so.6()(64bit)
    libm.so.6()(64bit)
    libmp3lame.so.0()(64bit)
    libncurses.so.6()(64bit)
    libtinfo.so.6()(64bit)
    rtld(GNU_HASH)



Provides
--------
lame-libs:
    lame-libs
    lame-libs(x86-64)
    libmp3lame.so.0()(64bit)

lame-debuginfo:
    lame-debuginfo
    lame-debuginfo(x86-64)

lame-mp3x:
    lame-mp3x
    lame-mp3x(x86-64)

lame-devel:
    lame-devel
    lame-devel(x86-64)

lame:
    lame
    lame(x86-64)



Source checksums
----------------
http://downloads.sourceforge.net/sourceforge/lame/lame-3.99.5.tar.gz :
  CHECKSUM(SHA256) this package     : 24346b4158e4af3bd9f2e194bb23eb473c75fb7377011523353196b19b9a23ff
  CHECKSUM(SHA256) upstream package : 24346b4158e4af3bd9f2e194bb23eb473c75fb7377011523353196b19b9a23ff


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/bin/fedora-review -b 1449467 -m fedora-rawhide-x86_64
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 2 Neal Gompa 2017-05-11 02:43:51 UTC
The only issues with this package I see are a lack of a desktop file[1] and an AppData file[2] for the mp3x subpackage.

[1]: https://fedoraproject.org/wiki/Packaging:Guidelines#Desktop_files

[2]: https://fedoraproject.org/wiki/Packaging:AppData

Once these are resolved, this package can be approved, once FE-Legal is lifted.

Comment 3 Peter Lemenkov 2017-05-11 07:03:48 UTC
I wonder if these explicit "Requires: %{name}-libs = %{version}-%{release}" still required? It looks like a leftover to me.

Comment 4 Neal Gompa 2017-05-11 13:00:33 UTC
(In reply to Peter Lemenkov from comment #3)
> I wonder if these explicit "Requires: %{name}-libs = %{version}-%{release}"
> still required? It looks like a leftover to me.

They are. It ensures that the various packages always have their exactly matching library package.

Comment 5 Neal Gompa 2017-05-11 13:02:39 UTC
This was formally confirmed by Matt Miller in legal@[1], so lifting FE-Legal.

[1]: https://lists.fedoraproject.org/archives/list/legal@lists.fedoraproject.org/message/XKZ4CLCM4DTHT5AC62AHEQA5QEWYWI5S/

Comment 6 Peter Lemenkov 2017-05-11 14:36:58 UTC
Yaakov, looking (slightly) ahead, could you please create a BuildRoot override as soon as the package will be approved and built, so we can start building packages against LAME asap.

Comment 7 Yaakov Selkowitz 2017-05-11 15:11:22 UTC
(In reply to Neal Gompa from comment #2)
> The only issues with this package I see are a lack of a desktop file[1] and
> an AppData file[2] for the mp3x subpackage.

mp3x requires both an input and output file on the command-line, which does not allow it to be effectively launched from a .desktop file.  It also has no icon, and is really old (GTK+ 1.2!).  Without a .desktop file, would an .appdata.xml even help?  Quoting the guidelines:

"The AppData file MUST be named with the same root as the .desktop file, so if the .desktop file is named org.gnome.SomeApp.desktop then the AppData file MUST be called org.gnome.SomeApp.appdata.xml."

Comment 8 Neal Gompa 2017-05-11 18:29:47 UTC
From that perspective, it makes sense to not provide either.

PACKAGE APPROVED.

Comment 9 Gwyn Ciesla 2017-05-11 21:42:48 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/lame

Comment 10 Fedora Update System 2017-05-11 22:19:05 UTC
lame-3.99.5-8.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-e750c345f4

Comment 11 Fedora Update System 2017-05-11 22:19:59 UTC
lame-3.99.5-8.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-e062f31edf

Comment 12 Yaakov Selkowitz 2017-05-11 22:24:19 UTC
(In reply to Peter Lemenkov from comment #6)
> Yaakov, looking (slightly) ahead, could you please create a BuildRoot
> override as soon as the package will be approved and built, so we can start
> building packages against LAME asap.

Created, but probably not active quite yet.

Comment 13 Greg Bailey 2017-05-11 23:38:40 UTC
Do you have any plans to make EPEL6 and/or EPEL7 builds of this?

Comment 14 Yaakov Selkowitz 2017-05-12 00:08:46 UTC
(In reply to Greg Bailey from comment #13)
> Do you have any plans to make EPEL6 and/or EPEL7 builds of this?

Even MP3 decoding support (e.g. mpg123) has yet to be enabled in EPEL, so it would seem a bit premature.

Comment 15 Fedora Update System 2017-05-12 13:41:32 UTC
gstreamer1-plugins-ugly-free-1.10.4-3.fc25, lame-3.99.5-8.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-e062f31edf

Comment 16 Fedora Update System 2017-05-13 01:12:42 UTC
gstreamer1-plugins-ugly-free-1.12.0-3.fc26, lame-3.99.5-8.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-e750c345f4

Comment 17 Fedora Update System 2017-05-14 20:21:28 UTC
gstreamer1-plugins-ugly-free-1.12.0-3.fc26, lame-3.99.5-8.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 18 Fedora Update System 2017-05-17 06:03:24 UTC
gstreamer1-plugins-ugly-free-1.10.4-3.fc25, lame-3.99.5-8.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.